%define upstream_name    Apache-Reload
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:    Reload Perl Modules when Changed on Disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: apache-mod_perl
BuildRequires: apache-devel

BuildArch: i586
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This module is two things. First it is an adaptation of Randal Schwartz's
Stonehenge::Reload module that attempts to be a little more intuitive and
makes the usage easier. Stonehenge::Reload was written by Randal to make
specific modules reload themselves when they changed. Unlike
Apache::StatINC, Stonehenge::Reload only checked the change time of modules
that registered themselves with Stonehenge::Reload, thus reducing stat()
calls. Apache::Reload also offers the exact same functionality as
Apache::StatINC, and is thus designed to be a drop-in replacement.
Apache::Reload only checks modules that register themselves with
Apache::Reload if you explicitly turn off the StatINC emulation method (see
below). Like Apache::StatINC, Apache::Reload must be installed as an Init
Handler.

StatINC Replacement
    To use as a StatINC replacement, simply add the following configuration
    to your httpd.conf:

      PerlInitHandler Apache::Reload

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


export APACHE_TEST_HTTPD=/usr/sbin/httpd


%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update


